type request =
    | Request of string
    | Answer of string * string

type response = private
    | Question of string
    | Body of string
    | Redirect of string
    | Failure of int * string

exception RequestError of string
exception TransportError of string

val send_exn : request -> response
